create a helm component config
curl --request POST \
--url https://api.nuon.co/v1/components/{component_id}/configs/helm \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"chart_name": "<string>",
"values": {},
"app_config_id": "<string>",
"auto_approve_on_policies_passing": true,
"build_timeout": "<string>",
"checksum": "<string>",
"dependencies": [
"<string>"
],
"deploy_timeout": "<string>",
"drift_schedule": "<string>",
"max_auto_retries": 123,
"namespace": "<string>",
"operation_roles": {},
"references": [
"<string>"
],
"skip_noops": true,
"storage_driver": "<string>",
"take_ownership": true,
"values_files": [
"<string>"
]
}
'{
"chart_name": "<string>",
"component_config_connection_id": "<string>",
"connected_github_vcs_config": {
"branch": "<string>",
"component_config_id": "<string>",
"component_config_type": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"directory": "<string>",
"id": "<string>",
"path_filter": "<string>",
"repo": "<string>",
"repo_name": "<string>",
"repo_owner": "<string>",
"updated_at": "<string>",
"vcs_connection": {
"created_at": "<string>",
"created_by_id": "<string>",
"github_account_id": "<string>",
"github_account_name": "<string>",
"github_install_id": "<string>",
"id": "<string>",
"queues": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"emitters": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"cron_schedule": "<string>",
"description": "<string>",
"emit_count": 123,
"fired": true,
"id": "<string>",
"jitter_window": 123,
"last_emitted_at": "<string>",
"name": "<string>",
"next_emit_at": "<string>",
"org_id": "<string>",
"queue_id": "<string>",
"scheduled_at": "<string>",
"signal_template": {
"signal": "<unknown>"
},
"signal_type": "<string>",
"status": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"updated_at": "<string>",
"workflow": {
"id": "<string>",
"namespace": "<string>",
"run_id": "<string>"
}
}
],
"id": "<string>",
"idle_timeout": 123,
"max_depth": 123,
"max_in_flight": 123,
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"owner_type": "<string>",
"queue_signal": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"emitter_id": "<string>",
"enqueued": true,
"execution_count": 123,
"id": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"owner_type": "<string>",
"queue": "<unknown>",
"queue_id": "<string>",
"signal": {
"signal": "<unknown>"
},
"signal_context": {
"account_id": "<string>",
"log_stream_id": "<string>",
"org_id": "<string>",
"trace_id": "<string>"
},
"status": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"type": "<string>",
"updated_at": "<string>",
"workflow": {
"id": "<string>",
"namespace": "<string>",
"run_id": "<string>"
}
}
],
"status_v2": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"updated_at": "<string>",
"workflow": {
"id": "<string>",
"namespace": "<string>",
"run_id": "<string>"
}
}
],
"status": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"updated_at": "<string>",
"vcs_connection_commit": [
{
"author_email": "<string>",
"author_name": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"id": "<string>",
"message": "<string>",
"owner_id": "<string>",
"owner_type": "<string>",
"sha": "<string>",
"updated_at": "<string>",
"vcs_connection_id": "<string>"
}
]
},
"vcs_connection_id": "<string>"
},
"created_at": "<string>",
"created_by_id": "<string>",
"helm_config_json": {
"chart_name": "<string>",
"helm_repo_config": {
"chart": "<string>",
"repo_url": "<string>",
"version": "<string>"
},
"namespace": "<string>",
"storage_driver": "<string>",
"take_ownership": true,
"values": {},
"values_files": [
"<string>"
]
},
"id": "<string>",
"namespace": "<string>",
"public_git_vcs_config": {
"branch": "<string>",
"component_config_id": "<string>",
"component_config_type": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"directory": "<string>",
"id": "<string>",
"path_filter": "<string>",
"repo": "<string>",
"updated_at": "<string>"
},
"storage_driver": "<string>",
"take_ownership": true,
"updated_at": "<string>",
"values": {},
"values_files": [
"<string>"
]
}create a helm component config
deprecated
Create a helm component config.
POST
/
v1
/
components
/
{component_id}
/
configs
/
helm
create a helm component config
curl --request POST \
--url https://api.nuon.co/v1/components/{component_id}/configs/helm \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"chart_name": "<string>",
"values": {},
"app_config_id": "<string>",
"auto_approve_on_policies_passing": true,
"build_timeout": "<string>",
"checksum": "<string>",
"dependencies": [
"<string>"
],
"deploy_timeout": "<string>",
"drift_schedule": "<string>",
"max_auto_retries": 123,
"namespace": "<string>",
"operation_roles": {},
"references": [
"<string>"
],
"skip_noops": true,
"storage_driver": "<string>",
"take_ownership": true,
"values_files": [
"<string>"
]
}
'{
"chart_name": "<string>",
"component_config_connection_id": "<string>",
"connected_github_vcs_config": {
"branch": "<string>",
"component_config_id": "<string>",
"component_config_type": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"directory": "<string>",
"id": "<string>",
"path_filter": "<string>",
"repo": "<string>",
"repo_name": "<string>",
"repo_owner": "<string>",
"updated_at": "<string>",
"vcs_connection": {
"created_at": "<string>",
"created_by_id": "<string>",
"github_account_id": "<string>",
"github_account_name": "<string>",
"github_install_id": "<string>",
"id": "<string>",
"queues": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"emitters": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"cron_schedule": "<string>",
"description": "<string>",
"emit_count": 123,
"fired": true,
"id": "<string>",
"jitter_window": 123,
"last_emitted_at": "<string>",
"name": "<string>",
"next_emit_at": "<string>",
"org_id": "<string>",
"queue_id": "<string>",
"scheduled_at": "<string>",
"signal_template": {
"signal": "<unknown>"
},
"signal_type": "<string>",
"status": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"updated_at": "<string>",
"workflow": {
"id": "<string>",
"namespace": "<string>",
"run_id": "<string>"
}
}
],
"id": "<string>",
"idle_timeout": 123,
"max_depth": 123,
"max_in_flight": 123,
"metadata": {},
"name": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"owner_type": "<string>",
"queue_signal": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"emitter_id": "<string>",
"enqueued": true,
"execution_count": 123,
"id": "<string>",
"org_id": "<string>",
"owner_id": "<string>",
"owner_type": "<string>",
"queue": "<unknown>",
"queue_id": "<string>",
"signal": {
"signal": "<unknown>"
},
"signal_context": {
"account_id": "<string>",
"log_stream_id": "<string>",
"org_id": "<string>",
"trace_id": "<string>"
},
"status": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"type": "<string>",
"updated_at": "<string>",
"workflow": {
"id": "<string>",
"namespace": "<string>",
"run_id": "<string>"
}
}
],
"status_v2": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"updated_at": "<string>",
"workflow": {
"id": "<string>",
"namespace": "<string>",
"run_id": "<string>"
}
}
],
"status": {
"created_at_ts": 123,
"created_by_id": "<string>",
"history": "<array>",
"metadata": {},
"status_human_description": "<string>"
},
"updated_at": "<string>",
"vcs_connection_commit": [
{
"author_email": "<string>",
"author_name": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"id": "<string>",
"message": "<string>",
"owner_id": "<string>",
"owner_type": "<string>",
"sha": "<string>",
"updated_at": "<string>",
"vcs_connection_id": "<string>"
}
]
},
"vcs_connection_id": "<string>"
},
"created_at": "<string>",
"created_by_id": "<string>",
"helm_config_json": {
"chart_name": "<string>",
"helm_repo_config": {
"chart": "<string>",
"repo_url": "<string>",
"version": "<string>"
},
"namespace": "<string>",
"storage_driver": "<string>",
"take_ownership": true,
"values": {},
"values_files": [
"<string>"
]
},
"id": "<string>",
"namespace": "<string>",
"public_git_vcs_config": {
"branch": "<string>",
"component_config_id": "<string>",
"component_config_type": "<string>",
"created_at": "<string>",
"created_by_id": "<string>",
"directory": "<string>",
"id": "<string>",
"path_filter": "<string>",
"repo": "<string>",
"updated_at": "<string>"
},
"storage_driver": "<string>",
"take_ownership": true,
"updated_at": "<string>",
"values": {},
"values_files": [
"<string>"
]
}Documentation Index
Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
APIKeyOrgID
Type "Bearer" followed by a space and token.
Path Parameters
component ID
Body
application/json
Input
Required string length:
5 - 62Show child attributes
Show child attributes
Duration string for build operations (e.g., "30m", "1h")
Show child attributes
Show child attributes
Duration string for deploy operations (e.g., "30m", "1h")
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Created
Helm specific configurations
parent reference
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Newer config fields that we don't need a column for
Show child attributes
Show child attributes
⌘I